Index: src/backend/nodes/copyfuncs.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/nodes/copyfuncs.c,v
retrieving revision 1.147
diff -u -r1.147 copyfuncs.c
--- src/backend/nodes/copyfuncs.c	2001/07/12 18:02:59	1.147
+++ src/backend/nodes/copyfuncs.c	2001/07/16 09:35:33
@@ -2037,18 +2037,6 @@
 	return newnode;
 }
 
-static ExtendStmt *
-_copyExtendStmt(ExtendStmt *from)
-{
-	ExtendStmt *newnode = makeNode(ExtendStmt);
-
-	newnode->idxname = pstrdup(from->idxname);
-	Node_Copy(from, newnode, whereClause);
-	Node_Copy(from, newnode, rangetable);
-
-	return newnode;
-}
-
 static FetchStmt *
 _copyFetchStmt(FetchStmt *from)
 {
@@ -2795,9 +2783,6 @@
 			break;
 		case T_CommentStmt:
 			retval = _copyCommentStmt(from);
-			break;
-		case T_ExtendStmt:
-			retval = _copyExtendStmt(from);
 			break;
 		case T_FetchStmt:
 			retval = _copyFetchStmt(from);
Index: src/backend/nodes/equalfuncs.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/nodes/equalfuncs.c,v
retrieving revision 1.95
diff -u -r1.95 equalfuncs.c
--- src/backend/nodes/equalfuncs.c	2001/07/12 18:02:59	1.95
+++ src/backend/nodes/equalfuncs.c	2001/07/16 09:35:33
@@ -899,19 +899,6 @@
 }
 
 static bool
-_equalExtendStmt(ExtendStmt *a, ExtendStmt *b)
-{
-	if (!equalstr(a->idxname, b->idxname))
-		return false;
-	if (!equal(a->whereClause, b->whereClause))
-		return false;
-	if (!equal(a->rangetable, b->rangetable))
-		return false;
-
-	return true;
-}
-
-static bool
 _equalFetchStmt(FetchStmt *a, FetchStmt *b)
 {
 	if (a->direction != b->direction)
@@ -1939,9 +1926,6 @@
 			break;
 		case T_CommentStmt:
 			retval = _equalCommentStmt(a, b);
-			break;
-		case T_ExtendStmt:
-			retval = _equalExtendStmt(a, b);
 			break;
 		case T_FetchStmt:
 			retval = _equalFetchStmt(a, b);
Index: src/backend/parser/gram.y
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/parser/gram.y,v
retrieving revision 2.237
diff -u -r2.237 gram.y
--- src/backend/parser/gram.y	2001/07/16 05:06:58	2.237
+++ src/backend/parser/gram.y	2001/07/16 09:35:35
@@ -2469,7 +2469,6 @@
 		| /*EMPTY*/								{ $$ = NULL; }
 		;
 
-
 /*****************************************************************************
  *
  *		QUERY:
Index: src/include/nodes/nodes.h
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/include/nodes/nodes.h,v
retrieving revision 1.91
diff -u -r1.91 nodes.h
--- src/include/nodes/nodes.h	2001/06/19 22:39:12	1.91
+++ src/include/nodes/nodes.h	2001/07/16 09:35:35
@@ -158,7 +158,6 @@
 	T_DropStmt,
 	T_TruncateStmt,
 	T_CommentStmt,
-	T_ExtendStmt,
 	T_FetchStmt,
 	T_IndexStmt,
 	T_ProcedureStmt,
Index: src/include/nodes/parsenodes.h
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/include/nodes/parsenodes.h,v
retrieving revision 1.135
diff -u -r1.135 parsenodes.h
--- src/include/nodes/parsenodes.h	2001/07/12 18:03:00	1.135
+++ src/include/nodes/parsenodes.h	2001/07/16 09:35:35
@@ -466,19 +466,6 @@
 } CommentStmt;
 
 /* ----------------------
- *		Extend Index Statement
- * ----------------------
- */
-typedef struct ExtendStmt
-{
-	NodeTag		type;
-	char	   *idxname;		/* name of the index */
-	Node	   *whereClause;	/* qualifications */
-	List	   *rangetable;		/* range table, filled in by
-								 * transformStmt() */
-} ExtendStmt;
-
-/* ----------------------
  *		Begin Recipe Statement
  * ----------------------
  */
